apiVersion: tekton.dev/v1beta1
kind: Task
metadata:
  labels:
    {{ network_policy_deployment_label }}: job-{{ tekton_name }}
    version: "{{ tekton_assets_version }}"
  name: k8s-client
  namespace: {{ buildns }}
spec:
  params:
  - name: ARGS
    description: The Kubectl CLI arguments to run
    type: array
    default:
    - help
  steps:
  - args:
    - $(params.ARGS)
    command:
    - /builder/google-cloud-sdk/bin/kubectl
    image: {{ tekton_k8s_client_image }}
    name: kubectl
{% if tekton_uses_resources_limits | default(False) %}
    resources:
      limits:
        cpu: "{{ tekton_k8s_client_cpu_limit }}"
        memory: {{ tekton_k8s_client_memory_limit }}
      requests:
        cpu: "{{ tekton_k8s_client_cpu_request }}"
        memory: {{ tekton_k8s_client_memory_request }}
{% else %}
    resources: {}
{% endif %}
{% if k8s_flavor == 'kubernetes' %}
    securityContext:
      runAsUser: {{ k8s_unprivileged_userid }}
{% endif %}
